﻿
using System;
using Wisej.Web;

namespace Wisej.ListViewPanels
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();			
		}

		private void button1_Click(object sender, EventArgs e)
		{
			AddItems();
		}

		private void AddItems()
		{
			var nbResultats = 1000;
			var showIcon = this.checkBox2.Checked;

			for (Int32 i = 0; i < nbResultats; i++)
			{
				var lviResultat = new ListViewItem()
				{
					Text = "TEXT",
					ImageSource = showIcon ? "window-icon" : null
				};

				var item = new UserControl1();
				item.Title = "Item number " + i;
				item.Dock = DockStyle.Fill;

				lviResultat.Control = item;
				listView1.Items.Add(lviResultat);
			}
		}

        private void listView1_ClientSizeChanged(object sender, EventArgs e)
        {
            this.listView1.ItemSize = new System.Drawing.Size(this.listView1.Size.Width - 20, this.listView1.ItemSize.Height);
        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
		{
			this.listView1.CheckBoxes = this.checkBox1.Checked;
		}

		private void checkBox2_CheckedChanged(object sender, EventArgs e)
		{
			var showIcon = this.checkBox2.Checked;
			foreach (var item in this.listView1.Items)
			{
				item.ImageSource = showIcon ? "window-icon" : null;
			}
		}
    }
}
